### Method

# Gom Repository migrate_sync

#### Declaration [src]

    gboolean
    gom_repository_migrate_sync (
      GomRepository* repository,
      guint version,
      GomRepositoryMigrator migrator,
      gpointer migrator_data,
      GError** error
    )

#### Description [src]

Performs a migration on the underlying database. This will call `migrator` from the SQLite thread for each migration to perform.

#### Parameters

`version`

  Type: `guint`

  The version to migrate to.

`migrator`

  Type: `GomRepositoryMigrator`

  A function to perform the migrations.

`migrator_data`

  Type: `gpointer`

  User data for `migrator`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` in case of success.